Subject: Re: [PATCH v2] notes: handle multiple worktrees

From: Junio C Hamano <[email-masked]>
Date: Fri, 31 Jul 2015 15:00:48 -0700

David Turner <[email-masked]> writes:

> I further propose to add some patches (to go on top of the pseudorefs
> series):
>
> (a) include worktree-refs/ in per_worktree_refs and include
> worktree-refs/ in per_worktree_refs in common_list, and

Do you mean .git/worktree-refs/, just next to .git/refs?  Then I
think it makes sense.

> (b) include changes to bisect which switches it over to use
> worktree_refs/*.  To make this change compatible with bisections started
> with old git versions,...

I personally am not sure if it is worth the effort to cater to those
who start bisection, stop and then upgrade their git version and
expect to continue.